/**********************************************************************************************************************					
Instituto Nacional de Estadstica (INE) www.ine.es					
***********************************************************************************************************************					
					
DESCRIPCIN:					
Este programa genera un fichero SAS con formatos, partiendo de un fichero sin ellos.					
					
Consta de las siguientes partes:					
	* 1. Definir la librera de trabajo --> Libname				
	* 2. Definicin de formatos --> PROC FORMAT				
	* 3. Vincular formatos a la base de datos --> PASO data				
					
 Entrada:                                                           					
     - Fichero SAS sin formatos: 	 Mujeres_Tabla_Hijos_.sas7bdat				
 Salida:                                                           					
     - Fichero SAS con formatos: 	 Mujeres_Tabla_Hijos__conFormato.sas7bdat				
					
Donde:					
	* Operacin: Encuesta de Fecundidad (Mujeres_Tabla_Hijos)
	* Periodo: 	2018			
					
************************************************************************************************************************/					
					
/*1) Definir la librera de trabajo: introducir el directorio que desee como librera					
(se da como ejemplo 'C:\Mis resultados'), y copiar en ese directorio el fichero sas "Mujeres_Tabla_Hijos_.sas7bdat"*/					
					
libname ROutput 'C:\Mis resultados';					

options fmtsearch = (ROutput ROutput.cat1);

* 2) DEFINICIN DE FORMATOS;
PROC FORMAT LIBRARY=ROutput.cat1;

value $T_REH

"3"="Hijo/a biolgico/a"
"4"="Hijo/a de la pareja"
"5"="Hijo/a adoptado/a"
"6"="Hijo/a de acogida o tutelado/a"
;
value $T_MESH

"01"="Enero"
"02"="Febrero"
"03"="Marzo"
"04"="Abril"
"05"="Mayo"
"06"="Junio"
"07"="Julio"
"08"="Agosto"
"09"="Septiembre"
"10"="Octubre"
"11"="Noviembre"
"12"="Diciembre"
;
value $T_SEXOH

"1"="Hombre"
"2"="Mujer"
;
value $T_SINOH

"1"="Si"
"6"="No"
;
value $T_CCAA

"01"="Andaluca"
"02"="Aragn"
"03"="Asturias, Principado de"
"04"="Balears, Illes"
"05"="Canarias"
"06"="Cantabria"
"07"="Castilla y Len"
"08"="Castilla-La Mancha"
"09"="Catalua"
"10"="Comunitat Valenciana"
"11"="Extremadura"
"12"="Galicia"
"13"="Madrid, Comunidad de"
"14"="Murcia, Regin de"
"15"="Navarra, Comunidad Foral de"
"16"="Pas Vasco"
"17"="Rioja, La"
"18"="Ceuta"
"19"="Melilla"
;
value $T_LUGAH

"1"="Espaa"
"2"="Otro pas"
;
value $T_PAISH

"102"="Austria"
"103"="Blgica"
"104"="Bulgaria"
"106"="Chipre"
"107"="Dinamarca"
"108"="Espaa"
"109"="Finlandia"
"110"="Francia"
"111"="Grecia"
"112"="Hungra"
"113"="Irlanda"
"115"="Italia"
"117"="Luxemburgo"
"118"="Malta"
"121"="Pases Bajos"
"122"="Polonia"
"123"="Portugal"
"125"="Reino Unido"
"126"="Alemania"
"128"="Rumana"
"131"="Suecia"
"136"="Letonia"
"141"="Estonia"
"142"="Lituania"
"143"="Repblica Checa"
"144"="Repblica Eslovaca"
"146"="Croacia"
"147"="Eslovenia"
"101"="Albania"
"114"="Islandia"
"116"="Liechtenstein"
"119"="Mnaco"
"120"="Noruega"
"124"="Andorra"
"129"="San Marino"
"130"="Santa Sede"
"132"="Suiza"
"135"="Ucrania"
"137"="Moldavia"
"138"="Belars"
"139"="Georgia"
"145"="Bosnia y Herzegovina"
"148"="Armenia"
"154"="Rusia"
"156"="Macedonia"
"157"="Serbia"
"158"="Montenegro"
"199"="Otros pases de Europa"
"201"="Burkina Faso"
"202"="Angola"
"203"="Argelia"
"204"="Benin"
"205"="Botswana"
"206"="Burundi"
"207"="Cabo Verde"
"208"="Camern"
"209"="Comores"
"210"="Congo"
"211"="Costa de Marfil"
"212"="Djibouti"
"213"="Egipto"
"214"="Etiopa"
"215"="Gabn"
"216"="Gambia"
"217"="Ghana"
"218"="Guinea"
"219"="Guinea-Bissau"
"220"="Guinea Ecuatorial"
"221"="Kenia"
"222"="Lesotho"
"223"="Liberia"
"224"="Libia"
"225"="Madagascar"
"226"="Malawi"
"227"="Mali"
"228"="Marruecos"
"229"="Mauricio"
"230"="Mauritania"
"231"="Mozambique"
"232"="Namibia"
"233"="Nger"
"234"="Nigeria"
"235"="Repblica Centroafricana"
"236"="Sudfrica"
"237"="Ruanda"
"238"="Santo Tom y Prncipe"
"239"="Senegal"
"240"="Seychelles"
"241"="Sierra Leona"
"242"="Somalia"
"243"="Sudn"
"244"="Swazilandia"
"245"="Tanzania"
"246"="Chad"
"247"="Togo"
"248"="Tnez"
"249"="Uganda"
"250"="Repblica Democrtica del Congo"
"251"="Zambia"
"252"="Zimbabwe"
"253"="Eritrea"
"254"="Sudn del Sur"
"299"="Otros pases de frica"
"301"="Canad"
"302"="Estados Unidos de Amrica"
"303"="Mxico"
"310"="Antigua y Barbuda"
"311"="Bahamas"
"312"="Barbados"
"313"="Belice"
"314"="Costa Rica"
"315"="Cuba"
"316"="Dominica"
"317"="El Salvador"
"318"="Granada"
"319"="Guatemala"
"320"="Hait"
"321"="Honduras"
"322"="Jamaica"
"323"="Nicaragua"
"324"="Panam"
"325"="San Vicente y las Granadinas"
"326"="Repblica Dominicana"
"327"="Trinidad y Tobago"
"328"="Santa Luca"
"329"="San Cristbal y Nieves"
"340"="Argentina"
"341"="Bolivia"
"342"="Brasil"
"343"="Colombia"
"344"="Chile"
"345"="Ecuador"
"346"="Guyana"
"347"="Paraguay"
"348"="Per"
"349"="Surinam"
"350"="Uruguay"
"351"="Venezuela"
"399"="Otros pases de Amrica"
"401"="Afganistn"
"402"="Arabia Saud"
"403"="Bahrin"
"404"="Bangladesh"
"405"="Myanmar"
"407"="China"
"408"="Emiratos rabes Unidos"
"409"="Filipinas"
"410"="India"
"411"="Indonesia"
"412"="Iraq"
"413"="Irn"
"414"="Israel"
"415"="Japn"
"416"="Jordania"
"417"="Camboya"
"418"="Kuwait"
"419"="Laos"
"420"="Lbano"
"421"="Malasia"
"422"="Maldivas"
"423"="Mongolia"
"424"="Nepal"
"425"="Omn"
"426"="Pakistn"
"427"="Qatar"
"430"="Corea"
"431"="Corea del Norte"
"432"="Singapur"
"433"="Siria"
"434"="Sri Lanka"
"435"="Tailandia"
"436"="Turqua"
"437"="Vietnam"
"439"="Brunei"
"440"="Islas Marshall"
"441"="Yemen"
"442"="Azerbaiyn"
"443"="Kazajstn"
"444"="Kirguistn"
"445"="Tayikistn"
"446"="Turkmenistn"
"447"="Uzbekistn"
"448"="Bhutn"
"449"="Palestina. Estado Observador, no miembro de Naciones Unidas"
"499"="Otros pases de Asia"
"501"="Australia"
"502"="Fiji"
"504"="Nueva Zelanda"
"505"="Papa Nueva Guinea"
"506"="Islas Salomn"
"507"="Samoa"
"508"="Tonga"
"509"="Vanuatu"
"511"="Micronesia"
"512"="Tuvalu"
"513"="Islas Cook"
"514"="Kiribati"
"515"="Nauru"
"516"="Palaos"
"517"="Timor Oriental"
"599"="Otros pases de Oceana"
;
value $T_NACH

"1"="Espaola"
"2"="Extranjera"
"3"="Espaola y otra"
;
value $TPERHNR

"1"="S, excedencia por cuidado de hijos"
"2"="S, reduccin de jornada"
"3"="No"
;
value $T_PROGE

"1"="S"
"2"="No"
"3"="No hay otro progenitor"
;
value $TMDEJCH

"1"="Se fue a vivir por su cuenta"
"2"="Se fue a estudiar fuera"
"3"="Se fue a vivir con su padre/madre"
"4"="Otras razones"
;
value $TFRECVH

"1"="Todos los meses"
"2"="Algunos meses"
"3"="Nunca"
;


* 3) VINCULAR FORMATOS A LA BASE DE DATOS;
data ROutput.Mujeres_Tabla_Hijos_ConFormato;
	set ROutput.Mujeres_Tabla_Hijos;

FORMAT COD_CCAA $T_CCAA.;
FORMAT REH $T_REH.;
FORMAT MESNH $T_MESH.;
FORMAT SEXOH $T_SEXOH.;
FORMAT CONVIVEH $T_SINOH.;
FORMAT VIVEACTH $T_SINOH.;
FORMAT MESDEFH $T_MESH.;
FORMAT NACIMH $T_LUGAH.;
FORMAT PNACIMH $T_PAISH.;
FORMAT RESIH $T_LUGAH.;
FORMAT PRESIH $T_PAISH.;
FORMAT MESLLEGH $T_MESH.;
FORMAT NACH $T_NACH.;
FORMAT PNACH $T_PAISH.;
FORMAT NACESPNACIMH $T_SINOH.;
FORMAT PNACNACIMH $T_PAISH.;
FORMAT MESCONVIVEH $T_MESH.;
FORMAT TRABANTESH $T_SINOH.;
FORMAT PERMISOREMH $T_SINOH.;
FORMAT PERMISONOREMH $TPERHNR.;
FORMAT PARTRABANTESH $T_PROGE.;
FORMAT PARPERMIREMH $T_PROGE.;
FORMAT PARPERMINOREMH $TPERHNR.;
FORMAT ANTCONVIVEH $T_SINOH.;
FORMAT MESANTCONH $T_MESH.;
FORMAT MESDEJOCONH $T_MESH.;
FORMAT M_DEJOCONH $TMDEJCH.;
FORMAT FRECVEH $TFRECVH.;


RUN;
/* FIN PROGRAMA: Microdatos en SAS: Mujeres_Tabla_Hijos.sas*/
